package shop.alien.store.service;

import shop.alien.entity.result.R;
import shop.alien.entity.store.UserLoginInfo;
import shop.alien.entity.store.dto.LifeUserPasswordDto;

public interface LifeUserPasswordService {

    R<String> setPassword(UserLoginInfo login, LifeUserPasswordDto dto);

    /**
     * 根据用户 id 查询是否已设置登录密码
     */
    R<Boolean> hasLoginPassword(Integer userId);
}
